package com.codes_roots.imakeapp.helper

import android.content.Context
import android.content.SharedPreferences
import android.util.Log
import com.google.gson.Gson
import com.google.gson.reflect.TypeToken
import com.satafood.core.entities.restaurantdetails.MenuCategoriesItem
import java.util.*


class PreferenceHelper(private val context: Context) {

        private var app_prefs: SharedPreferences? = null
        private  val app_ref = "userdetails"
        private  val IsActive = "IsActive"

    var cartResuturantId: Int
            get() = app_prefs!!.getInt("cartResuturantId", 0)
            set(cartResuturantId) {
                var edit = app_prefs!!.edit()
                edit.putInt("cartResuturantId", cartResuturantId)
                edit.apply()
            }

    var langChosen: Boolean
        get() = app_prefs!!.getBoolean("langChosen", false)
        set(langChosen) {
            var edit = app_prefs!!.edit()
            edit.putBoolean("langChosen", langChosen)
            edit.apply()
        }


    var BillingId: Int
        get() = app_prefs!!.getInt("BillingId", 0)
        set(BillingId) {
            var edit = app_prefs!!.edit()
            edit.putInt("BillingId", BillingId)
            edit.apply()
        }
    var restaurantId: Int
        get() = app_prefs!!.getInt("restaurantId", 0)
        set(restaurantId) {
            var edit = app_prefs!!.edit()
            edit.putInt("restaurantId", restaurantId)
            edit.apply()
        }
    var PayMobToken: String?
        get() = app_prefs!!.getString("PayMobToken", null)
        set(PayMobToken) {
            var edit = app_prefs!!.edit()
            edit.putString("PayMobToken", PayMobToken)
            edit.apply()
        }
    var MerchatId: Int?
        get() = app_prefs!!.getInt("MerchatId", 0)
        set(MerchatId) {
            var edit = app_prefs!!.edit()
            edit.putInt("MerchatId", MerchatId!!)
            edit.apply()
        }
    var BranchId: Int
        get() = app_prefs!!.getInt("BranchId", 0)
        set(BranchId) {
            var edit = app_prefs!!.edit()
            edit.putInt("BranchId", BranchId)
            edit.apply()
        }

          var areaId : Int
              get() = app_prefs!!.getInt("areaId", 0)
              set(CityId) {
                  var edit = app_prefs!!.edit()
                  edit.putInt("areaId", CityId)
                  edit.apply()
              }

    var takeAway : Int
              get() = app_prefs!!.getInt("takeAway", 0)
              set(takeAway) {
                  var edit = app_prefs!!.edit()
                  edit.putInt("takeAway", takeAway)
                  edit.apply()
              }

    var userName : String?
        get() = app_prefs!!.getString("userName", "")
        set(userName) {
            val edit = app_prefs!!.edit()
            edit.putString("userName", userName)
            edit.commit()
            //edit.apply()
        }

    var code : String?
        get() = app_prefs!!.getString("code", "")
        set(code) {
            val edit = app_prefs!!.edit()
            edit.putString("code", code)
            edit.apply()
        }
    var email : String?
        get() = app_prefs!!.getString("email", "")
        set(email) {
            val edit = app_prefs!!.edit()
            edit.putString("email", email)
            edit.apply()
        }

    var verificationCode : String?
        get() = app_prefs!!.getString("verificationCode", "")
        set(verificationCode) {
            val edit = app_prefs!!.edit()
            edit.putString("verificationCode", verificationCode)
            edit.apply()
        }

    var CityTileName : String?
        get() = app_prefs!!.getString("CityTileName", "قم بالضغط لتحديد المنطقة")
        set(CityTileName) {
            val edit = app_prefs!!.edit()

            edit.putString("CityTileName", CityTileName)
            edit.apply()
        }

    var latitude : String?
        get() = app_prefs!!.getString("latitude", "")
        set(latitude) {
            val edit = app_prefs!!.edit()

            edit.putString("latitude", latitude)
            edit.apply()
        }
    var currentLatitude : String?
        get() = app_prefs!!.getString("latitude", "")
        set(latitude) {
            val edit = app_prefs!!.edit()
            edit.putString("latitude", latitude)
            edit.apply()
        }

    var longitude : String?
        get() = app_prefs!!.getString("longitude", "")
        set(longitude) {
            val edit = app_prefs!!.edit()

            edit.putString("longitude", longitude)
            edit.apply()
        }
    var currentLongitude : String?
        get() = app_prefs!!.getString("longitude", "")
        set(longitude) {
            val edit = app_prefs!!.edit()

            edit.putString("longitude", longitude)
            edit.apply()
        }

    var userAddress : String?
    get() = app_prefs!!.getString("userAddress","Address")
    set(userAddress) {
        val edit = app_prefs!!.edit()
        edit.putString("userAddress",userAddress)
        edit.apply()
    }
    var UserToken : String?
        get() = app_prefs!!.getString("token","0")
        set(token) {
            val edit = app_prefs!!.edit()
            edit.putString("token",token)
            edit.apply()
        }

    var userLocation : String?
        get() = app_prefs!!.getString("userLocation","")
        set(userLocation) {
            val edit = app_prefs!!.edit()
            edit.putString("userLocation",userLocation)
            edit.apply()
        }
    var areaNotifications : Int
        get() = app_prefs!!.getInt("notificationCount", 0)
        set(notificationCount) {
            var edit = app_prefs!!.edit()
            edit.putInt("notificationCount", notificationCount)
            edit.apply()
        }
    var googleID : String?
        get() = app_prefs!!.getString("googleID","ChIJAWPGlF0-WBQRbCBC3gDx3d0")

        set(googleID) {
            val edit = app_prefs!!.edit()
            edit.putString("googleID",googleID)
            edit.apply()
        }
    var userPhone : String?
        get() = app_prefs!!.getString("userPhone","userPhone")
        set(userPhone) {
            val edit = app_prefs!!.edit()
            edit.putString("userPhone",userPhone)
            edit.apply()
        }
 var countryCode : String?
        get() = app_prefs!!.getString("countryCode","countryCode")
        set(countryCode) {
            val edit = app_prefs!!.edit()
            edit.putString("countryCode",countryCode)
            edit.apply()
        }

    var userPhoto : String?
        get() = app_prefs!!.getString("userPhoto","userPhoto")
        set(userPhoto) {
            val edit = app_prefs!!.edit()
            edit.putString("userPhoto",userPhoto)
            edit.apply()
        }

    var appLogo : String?
        get() = app_prefs!!.getString("appLogo","appLogo")
        set(appLogo) {
            val edit = app_prefs!!.edit()
            edit.putString("appLogo",appLogo)
            edit.apply()
        }

    var appHeader : String?
        get() = app_prefs!!.getString("appHeader","appHeader")
        set(appHeader) {
            val edit = app_prefs!!.edit()
            edit.putString("appHeader",appHeader)
            edit.apply()
        }
    var currency : String?
        get() = app_prefs!!.getString("currency","$")
        set(currency) {
            val edit = app_prefs!!.edit()
            edit.putString("currency", " $currency")
            edit.apply()
        }

    var appPrimaryColor : String?
        get() = app_prefs!!.getString("appPrimaryColor","#ff0000")
        set(appPrimaryColor) {
            val edit = app_prefs!!.edit()
            edit.putString("appPrimaryColor",appPrimaryColor)
            edit.apply()
        }
    var secondaryColor : String?
        get() = app_prefs!!.getString("secondaryColor","#ff0000")
        set(secondaryColor) {
            val edit = app_prefs!!.edit()
            edit.putString("secondaryColor",secondaryColor)
            edit.apply()
        }
    var OrderTotal : Float
        get() = app_prefs!!.getFloat("Total", 0.0f)
        set(UserId) {
            var edit = app_prefs!!.edit()
            edit.putFloat("Total", UserId)
            edit.apply()
        }

    var UserId : Int
        get() = app_prefs!!.getInt("UserId", 0)
        set(UserId) {
            var edit = app_prefs!!.edit()
            edit.putInt("UserId", UserId)
            edit.apply()
        }
    var restaurantUserId : Int
        get() = app_prefs!!.getInt("restaurantUserId", 0)
        set(restaurantUserId) {
            var edit = app_prefs!!.edit()
            edit.putInt("restaurantUserId", restaurantUserId)
            edit.apply()
        }

    var token : String?
        get() = app_prefs!!.getString("Token", null)
        set(token) {
            val edit = app_prefs!!.edit()
            edit.putString("Token", token)
            edit.apply()
        }

    var lang : String?
        get() = app_prefs!!.getString("lang", "")
        set(lang) {
            val edit = app_prefs!!.edit()
            edit.putString("lang", lang)
            edit.apply()
        }

    var vendorCode : String?
        get() = app_prefs!!.getString("vendorCode", "gIQ8bSuNTE13112022")
        set(vendorCode) {
            val edit = app_prefs!!.edit()
            edit.putString("vendorCode", vendorCode)
            edit.apply()
        }

    var VendorId : Int?
        get() = app_prefs!!.getInt("VendorId", 0)
        set(VendorId) {
            val edit = app_prefs!!.edit()
            edit.putInt("VendorId", VendorId!!)
            edit.apply()
        }
        private val arrPackage = listOf<String>()
        private val CART_ARRAY = "CART_ARRAY"
        private val Options_ARRAY = "Options_ARRAY"

    fun addOptionstoCart(Options: ArrayList<Int>) {
        val gson = Gson()
        val json = app_prefs!!.getString(Options_ARRAY,listOf<Int>().toString())
        val type = object : TypeToken<List<String?>?>() {}.type
        var arrayList = gson.fromJson<ArrayList<Int>>(json,type)
        val editor = app_prefs!!.edit()
        arrayList.addAll(Options)
        val newdata = gson.toJson(arrayList, type)
        editor.putString(Options_ARRAY, newdata)
        editor.apply()
        editor.commit()
    }

    fun addItemtoCart(product_id: MenuCategoriesItem) {
        val gson = Gson()
        val json = app_prefs!!.getString(CART_ARRAY,listOf<MenuCategoriesItem>().toString())
        Log.i("jsonarray", "addItemtoCart: "+json)
        val type = object : TypeToken<List<MenuCategoriesItem?>?>() {}.type
        var arrayList = gson.fromJson<ArrayList<MenuCategoriesItem>>(json,type)
        val editor = app_prefs!!.edit()
        arrayList.add(product_id)
        val newdata = gson.toJson(arrayList, type)
        editor.putString(CART_ARRAY, newdata)
        editor.apply()
        editor.commit()
    }
        fun retriveCartItemsValue(): List<MenuCategoriesItem> {
            val gson = Gson()
            val json = app_prefs!!.getString(CART_ARRAY, listOf<MenuCategoriesItem>().toString())
            val type = object : TypeToken<List<MenuCategoriesItem?>?>() {}.type
            return  gson.fromJson(json, type)
        }

        fun removeItemFromCart(index: Int) {
            val gson = Gson()
            val editor = app_prefs!!.edit()
            val json = app_prefs!!.getString(CART_ARRAY, null)
            val type = object : TypeToken<List<MenuCategoriesItem?>?>() {}.type
            val arrayList = gson.fromJson<ArrayList<MenuCategoriesItem>>(json, type)
            arrayList.removeAt(index)
            val newdata = gson.toJson(arrayList, type)
            editor.putString(CART_ARRAY, newdata)
            editor.apply()
        }

        fun clearCart() {
            val editor = app_prefs!!.edit()
            editor.remove(CART_ARRAY)
            editor.apply()
            editor.commit()
        }

    fun clearPreference(){
        val editor = app_prefs!!.edit()
        editor.clear()
        editor.apply()
    }


    init {
        try {
            app_prefs = context.getSharedPreferences(
                app_ref,
                Context.MODE_PRIVATE
            )
        } catch (e: NullPointerException) {
        }
    }
}