package com.codes_roots.imakeapp.presentaion.cartfragment.mvi

import com.codes_roots.imakeapp.presentaion.homefragment.viewmodel.UserError
import com.satafood.core.entities.cart.CartConfigurations
import com.satafood.core.entities.restaurantdetails.MenuCategoriesItem
import com.satafood.core.entities.restaurantdetails.StoreDetailsModel


data class CartViewState(
    var ItemCartData: StoreDetailsModel?=null,
    var CartConfigurationsData: CartConfigurations?=null,
    var CartItem: ArrayList<MenuCategoriesItem>?=null,
    var note : String?=null,
    val progress:  Boolean? = null,
    val Errors: UserError? = null,
    val noItemInCart : Boolean = false,
    val SubTotal:  Double? = null,
    val AllTaxes:  Double? = null,
    val delivery_cost:  Double? = 0.0,
    val discount:  Double? = null,
    val AllTotal:  Double? = null,
    )