package com.codes_roots.imakeapp.presentaion.homefragment.main_bar_fragment

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.databinding.DataBindingUtil
import androidx.fragment.app.Fragment
import androidx.lifecycle.ViewModelProviders
import com.codes_roots.imakeapp.R
import com.codes_roots.imakeapp.databinding.MainBarBinding
import com.codes_roots.imakeapp.presentaion.homefragment.viewmodel.MainViewModel


open class MainBarFragment : Fragment() {
    val viewModel: MainViewModel by lazy {
        ViewModelProviders.of(requireActivity()).get(MainViewModel::class.java) }

    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?): View? {
        val view: MainBarBinding = DataBindingUtil.inflate(inflater,
                R.layout.main_bar, container, false)
        return view.root
    }





}