package com.codes_roots.imakeapp.presentaion.itemdetails

import android.app.Activity
import android.content.Context
import android.view.LayoutInflater
import android.view.ViewGroup
import android.widget.CheckBox
import android.widget.CompoundButton
import androidx.databinding.DataBindingUtil
import androidx.recyclerview.widget.RecyclerView
import com.codes_roots.imakeapp.R
import com.codes_roots.imakeapp.databinding.OptionListCheckbocBinding
import com.codes_roots.imakeapp.helper.Error_MotionToast
import com.codes_roots.imakeapp.presentaion.mainactivity.MainActivity
import com.codes_roots.imakeapp.presentaion.vendordetailsfragment.viewmodel.RestaurantDetailsViewModel
import com.satafood.core.entities.restaurantdetails.MenuOption
import com.satafood.core.entities.restaurantdetails.MenuOptionsTopic


class CheckBox_Adapter(var adapter:Option_List_Adapter,
    var viewModel: RestaurantDetailsViewModel, var context: Context?, var data: MenuOptionsTopic
,var PositionParent:Int) : RecyclerView.Adapter<CustomViewHolder>() {
    var row_index: Int? = -1
    var numOfChecks = 0
    private val lastChecked: CheckBox? = null
    private val lastCheckedPos = 0
    override fun getItemCount(): Int {
        return data.menu_options!!.size
    }
    override fun onBindViewHolder(p0: CustomViewHolder, position: Int) {
        context as MainActivity
        p0.bind(data.menu_options!![position],context as MainActivity)
try {
//    p0.binding.radioButton.setOnCheckedChangeListener(null)
//    p0.binding.radioButton.setChecked(row_index === position)
//    p0.binding.radioButton.setOnCheckedChangeListener(CompoundButton.OnCheckedChangeListener { buttonView, isChecked ->
//        row_index = position
//        if (!viewModel.OptionsArray.contains(data.menu_options!![position])) {
//            viewModel.OptionsArrayVariable?.value = 0.0
//            viewModel.OptionsArray.add(data.menu_options!![position])
//            viewModel.OptionsArrayVariable?.value = data.menu_options!![position].price
//            numOfChecks = 1
//        } else {
//            if (data.max_option_checks!! > numOfChecks) {
//                viewModel.OptionsArray.remove(data.menu_options!![position])
//                viewModel.OptionsArrayVariable?.value = -data.menu_options!![position].price!!
//                numOfChecks = 1
//            } else {
//
//                Error_MotionToast(
//                    "يجب اختار " + "فقط " + data.max_option_checks,
//                    context as Activity
//                )
//            }
//        }
//        notifyDataSetChanged()
//    })

    p0.binding.checkBox.setOnCheckedChangeListener(CompoundButton.OnCheckedChangeListener { buttonView, isChecked ->


        row_index = position

        if (viewModel.OptionsArray.contains(data.menu_options!![position])) {
            viewModel.OptionsArray.remove(data.menu_options!![position])
            viewModel.OptionsArrayVariable?.value = -data.menu_options!![position].price!!
            numOfChecks -= 1
            if(data.required == 1) {
                viewModel.Required += 1
            }
        } else {
            if (data.max_option_checks!! > numOfChecks) {
                viewModel.OptionsArray.add(data.menu_options!![position])
                viewModel.OptionsArrayVariable?.value = data.menu_options!![position].price
                numOfChecks += 1
                if(data.required == 1) {
                    viewModel.Required -= 1
                }
            } else {
                p0.binding.checkBox.isChecked = false
                Error_MotionToast(
                    context!!.getString(R.string.must_only_option) + data.max_option_checks,
                    context as Activity
                )
            }
        }
        notifyDataSetChanged()
    })
//    if (data.max_option_checks!! >= 2 ){
//        p0.binding.radioButton.isVisible = false
//        p0.binding.checkBox.isVisible = true
//    }else{
//        p0.binding.radioButton.isVisible = true
//        p0.binding.checkBox.isVisible = false
//
//    }
}catch (e:Exception){
}
        p0.binding.radioButton.isChecked = row_index == position
    }
    override fun onCreateViewHolder(p0: ViewGroup, p1: Int): CustomViewHolder {
        val binding: OptionListCheckbocBinding = DataBindingUtil.inflate(
            LayoutInflater.from(p0.context),
            R.layout.option_list_checkboc, p0, false
        )
        return CustomViewHolder(binding)
    }
}

class CustomViewHolder(
    var binding: OptionListCheckbocBinding
) : RecyclerView.ViewHolder(binding.root) {
    fun bind(data: MenuOption , context: Context) {
        binding.data = data
        binding.context = context as MainActivity
    }
}

