package com.codes_roots.imakeapp.presentaion.myaddress.cities.mvi


sealed class MainIntent(open val viewState: CitiesViewState? = null,open val cityId:Int?=null) {

    data class Initialize(override val viewState: CitiesViewState?) : MainIntent()

    data class InitializeCities(override val viewState: CitiesViewState?, override val cityId:Int?=null) : MainIntent()
    data class GetAreas(override val viewState: CitiesViewState?, override val cityId:Int?=null) : MainIntent()

    data class ErrorDisplayed(override val viewState:CitiesViewState) : MainIntent()

    data  class SearchByName(override val viewState: CitiesViewState?, val cityName:String? = null): MainIntent()

}
