package com.codes_roots.imakeapp.presentaion.myorders.mvi

import com.satafood.core.entities.ordermodel.OrderModel


sealed class MainIntent(open val viewState: MainViewState? = null,open val stateId:OrderModel?=null) {

    data class Initialize(override val viewState: MainViewState) : MainIntent()

    data class FilterData(override val viewState: MainViewState? = null,override val stateId: OrderModel? = null): MainIntent()

    data class ErrorDisplayed(override val viewState: MainViewState) : MainIntent()

}
