package com.codes_roots.imakeapp.presentaion.paymentfragment

import android.content.Context
import android.view.LayoutInflater
import android.view.ViewGroup
import androidx.core.content.ContextCompat
import androidx.databinding.DataBindingUtil
import androidx.recyclerview.widget.RecyclerView
import com.codes_roots.imakeapp.R
import com.codes_roots.imakeapp.databinding.PaymentItemBinding
import com.satafood.core.entities.paymentways.PaymentWaysItem


class PaymentWayAdapter(
                        var context :Context?,var fragment: PaymentFragment
                        ,var data:List<PaymentWaysItem>) : RecyclerView.Adapter<CustomViewHolders>() {
 var index: Int? = null
    override fun getItemCount(): Int {
        return  data.size
    }


    override fun onBindViewHolder(p0: CustomViewHolders, position: Int) {
        p0.bind(data[position])

         data[0].photo = R.drawable.mastercard
         data[1].photo =  R.drawable.cash_on_delivery

        p0.binding.paymentButton.setOnClickListener {
            index = position

            //          ClickHandler().switchToActivity(context as MainActivity,PaymobActivity())


            fragment.paymentTypeId = data[position].id
            fragment.view.completeInRestaurant.isEnabled = true
            notifyDataSetChanged()

        }
            if (index == position) {
                p0.binding.paymentButton.setBackgroundDrawable(
                    ContextCompat
                        .getDrawable(context!!, R.drawable.resturant_select_border_shape)
                )
            } else {
                p0.binding.paymentButton.setBackgroundDrawable(
                    ContextCompat
                        .getDrawable(context!!, R.drawable.corner_raduis)
                )

            }

    }

    override fun onCreateViewHolder(p0: ViewGroup, p1: Int): CustomViewHolders {
        val  binding: PaymentItemBinding = DataBindingUtil.inflate (LayoutInflater.from(p0.context),
          R.layout.payment_item,p0,false)


        return  CustomViewHolders(binding)
    }


}
class CustomViewHolders (
     var binding:PaymentItemBinding
) : RecyclerView.ViewHolder(binding.root){

    fun bind(data:PaymentWaysItem) {
        binding.data= data
    }

}

