package com.codes_roots.imakeapp.presentaion.register

import androidx.fragment.app.Fragment
import androidx.fragment.app.FragmentManager
import androidx.lifecycle.Lifecycle
import androidx.viewpager2.adapter.FragmentStateAdapter
import com.codes_roots.imakeapp.presentaion.register.loginfragment.LoginFragment
import com.codes_roots.imakeapp.presentaion.register.registerfragment.RegisterFragment


class TabsPagerAdapter(fm: FragmentManager, lifecycle: Lifecycle, private var numberOfTabs: Int) :
    FragmentStateAdapter(fm, lifecycle) {

    override fun createFragment(position: Int): Fragment {
        return when (position) {
            0 -> {
                //     val bundle = Bundle()
                //   bundle.putString("fragmentName", "Music Fragment")
                val login = LoginFragment()
                //      login.arguments = bundle
                login
            }
            1 -> {
                RegisterFragment()
            }


            else -> LoginFragment()
        }
    }

    override fun getItemCount(): Int {
        return numberOfTabs
    }
}