package com.codes_roots.imakeapp.presentaion.search_fragment.adapter

import android.content.Context
import com.codes_roots.imakeapp.helper.PreferenceHelper
import com.satafood.core.entities.search_model.ItemResult
import com.satafood.core.entities.search_model.SearchModel
import javax.inject.Inject

data class SearchModelMapper(var data: SearchModel? = null) {

    var itemsModel:List<ItemResultMapperr>? = null

    init {
        itemsModel = data!!.ItemResult.map { items -> ItemResultMapperr(items) }
    }

}

class ItemResultMapperr(var data: ItemResult?) {

    @Inject
    lateinit var pref : PreferenceHelper

    val context: Context? = null

    var name = ""
    init {
        name = if (pref.lang!!.contains("ar"))
            data!!.name!!
        else
            data!!.name_en!!

    }

}
