package com.codes_roots.imakeapp.presentaion.search_fragment.mvi

import com.satafood.core.entities.google.GoogleModel


sealed class MainIntent(open val viewState: MainViewState? = null, open val googleModel: GoogleModel?=null) {

    class LoadData(override  val viewState: MainViewState,override  val googleModel: GoogleModel?) : MainIntent()

    class DisplayErrors(override val viewState: MainViewState) : MainIntent()

}
