package com.codes_roots.imakeapp.presentaion.vendordetailsfragment.mvi


sealed class MainIntent(open val viewState: MainViewState? = null,open val restauratnId:Int?=null,open val AreaId:Int??=null,open val item_id: Int?=null) {


    class LoadData(override  val viewState: MainViewState,override val restauratnId:Int?, override val AreaId:Int?) : MainIntent()
    class LoadAdsData(override  val viewState: MainViewState,override val item_id:Int?) : MainIntent()
    class ItemSwitching(override  val viewState: MainViewState) : MainIntent()
    class DisplayErrors(override val viewState: MainViewState) : MainIntent()
    class AddFavorite(override  val viewState: MainViewState,override val restauratnId:Int?,override val AreaId:Int?) : MainIntent()
    class  AddItemInItemDetails( val quantity:Int?) : MainIntent()
    class SearchByName(override val viewState: MainViewState? = null, val RestaurantName:String? = null): MainIntent()

}
