package com.codes_roots.imakeapp.repository.home

import com.codes_roots.imakeapp.helper.executeRemoteAPI
import javax.inject.Inject

class HomeRepositoryImpl @Inject constructor(
    private val homeDataSource: IHomeDataSource) {


    suspend fun getItemDetails(itemId: Int) =
        executeRemoteAPI{
            homeDataSource.getItemDetails(itemId)
        }
}