package com.codes_roots.imakeapp.repository.searchRepo

import com.codes_roots.imakeapp.datalayer.APIServices
import com.satafood.core.entities.google.GoogleModel
import com.satafood.core.entities.search_model.SearchModel
import javax.inject.Inject

class SearchRemoteDataSource @Inject constructor(
    private val ApiService: APIServices
) : SearchDataSource {

    override suspend fun getSearchData(googleModel: GoogleModel): SearchModel {
       kotlin.runCatching {  return ApiService.getMobileSearch(googleModel) }.getOrElse { throw it }
    }
}