package com.codes_roots.imakeapp.repository.splash

import com.codes_roots.imakeapp.datalayer.APIServices
import com.satafood.core.entities.google.GoogleModel
import com.satafood.core.entities.search_model.SearchModel
import com.satafood.core.entities.vendor_attributes.VendorAttributesModelItem
import javax.inject.Inject

class SplashRemoteDataSource @Inject constructor(
    private val ApiService: APIServices
) : SplashDataSource {

    override suspend fun getVendorAttributes(): ArrayList<VendorAttributesModelItem> {
       kotlin.runCatching {  return ApiService.getVendorAttributes() }.getOrElse { throw it }
    }
}