package com.codes_roots.imakeapp.repository.support

import com.satafood.core.base.DataState
import com.satafood.core.entities.support.Complaints
import com.satafood.core.entities.support.Query
import com.satafood.core.entities.support.QuestionCategoryItem
import com.satafood.core.entities.support.questionsItem

import retrofit2.Response

interface ISupportDataSource {

    suspend fun getQueries(): DataState<List<Query>>
    suspend fun getCommonQuestions(typeId : Int):  Response<MutableList<questionsItem>>
    suspend fun addComplaints(complaints: Complaints?): Response<Complaints>
    suspend fun getQuestionsCategories(): Response<List<QuestionCategoryItem>>
    suspend fun getAllCommonQuestions():  Response<MutableList<questionsItem>>

}