package com.codes_roots.imakeapp.repository.support

import com.codes_roots.imakeapp.helper.executeRemoteAPI
import javax.inject.Inject

class SupportRepositoryImpl @Inject constructor(
    private val supportDataSource: SupportDataSource
) {


    suspend fun getQueries() =
        executeRemoteAPI{
            supportDataSource.getQueries()
        }





}