package com.codes_roots.imakeapp.repository.wallet_details

import com.codes_roots.imakeapp.datalayer.APIServices
import com.satafood.core.entities.walletdetails.WalletDetailsModelItem
import javax.inject.Inject

class WalletDetailsRemoteDataSource @Inject constructor(
    private val ApiService: APIServices
) : WalletDataSource {
    override suspend fun getWalletTransactions(walletId: WalletDetailsModelItem): ArrayList<WalletDetailsModelItem> {
       kotlin.runCatching {  return ApiService.getWalletTransactions(walletId) }.getOrElse { throw it }
    }
}