package com.satafood.core.entities.addresses

import com.satafood.core.entities.homepage.CitiesModelItem
import java.io.Serializable

data class UserAddressesItem(
    var address: String?=null,
    var apartment_number: String?=null,
    var building_number: String?=null,
    var area_id: String?=null,
    var created_at: String?=null,
    var first_name: String?=null,
    var floor_number: String?=null,
    var id: Int?=null,
    var branchId: Int?=null,
    var last_name: String?=null,
    var place_id: String?=null,
    var google_id: String?=null,
    var latitude: Double?=null,
    var longitude: Double?=null,
    var notes: String?=null,
    var phone: String?=null,
    var updated_at: String?=null,
    var user_id: Int?=null,
    var areas: CitiesModelItem?=null,
    var address_type : String?=null
):Serializable{

}