package com.satafood.core.entities.ordermodel

import com.satafood.core.entities.addresses.UserAddressesItem
import java.sql.RowId

data class OrderModel(
    var id: Int?=null,
    var billing_address_id: Int?=null,
    var branch_id: Int?=null,
    var vendor_id: Int?=null,
    var coupon_id: Int?=null,
    var voucher_id: String?=null,
    var discount: Double?=null,
    var notes: String?=null,
    var google_id: String?=null,
    var delivery_serivce: Double?=null,
    var offer_id: Int?=null,
    var wallets_id: Int?=null,
    var area_id: Int?=null,
    var sub_total:Double?=null,
    var order_details: List<OrderDetail>?=null,
    var billing_address:UserAddressesItem?=null,
    var paymenttype:Any?=null,
    var order_status_id: Int?=null,
    var paymenttype_id: Int?=null,
    var takeway: Int?=null,
    var taxes: Double?=null,
    var total: Double?=null,
    var user_id: Int?=null,
    var created: String?=null,
    var modified:String?=null,
    var offer_discount: Double?=null,
    var wallet_discount: Double?=null,

)