package com.satafood.core.mapper.main

import com.satafood.core.entities.main.Token
import com.satafood.core.repositories.IFCMRepository

class UpdateUserTokenUseCase(private val fcmRepository: IFCMRepository) {

    suspend operator fun invoke(userId: Int, token: Token) = fcmRepository.updateUserToken(userId, token)

}