package com.satafood.core.repositories

import com.satafood.core.base.DataState
import com.satafood.core.entities.main.Token

interface IFCMRepository {
    fun subscribeTopic(
        topics: String,
        onSubscribedListener: (DataState<Unit>) -> Unit
    )

    fun updateUserToken(userId: Int, token: Token)
}