package com.codes_roots.imakeapp.di

import com.google.firebase.ktx.Firebase
import com.google.firebase.messaging.FirebaseMessaging
import com.google.firebase.messaging.ktx.messaging
import dagger.Module
import dagger.Provides
import javax.inject.Singleton

@Module
class FirebaseModule() {


    @Singleton
    @Provides
    fun provideFirebaseMessaging(): FirebaseMessaging = Firebase.messaging


}
