package com.codes_roots.imakeapp.helper

import com.codes_roots.imakeapp.BuildConfig

class Constants {
    companion object {
        const val BASE_URL = ""
        const val IMAGE_URL = "https://makeappmall.s3.amazonaws.com/"
        const val IMAGE_URL_SATA = "https://satatechnologygroup.net:3301/"
        const val WebView_URL = "http://satawebsite.codesroots.com/"
        const val SocketURL = "https://imake-app.com:1111"
        const val PayMobAuthKey = BuildConfig.PAYMOBkEY
        const val TIMEOUT = 30
    }
}

enum class SectionName {
    FirstSection, SecondSection, ThirdSection, FourthSection, FifthSection, SixthSection
}

enum class OrdersStatus(val status: Int) {
    CURRENT(0),
    PREVIOUS(1),
    PREPARING(1),
    PREPARED(2),
    DELIVERING(3),
    DELIVERED(4),
    VENDOR_CANCEL(5),
    NOT_DELIVERED(6),
    CLIENT_CANCEL(7),
}