package com.codes_roots.imakeapp.helper

import android.content.Context
import com.codes_roots.imakeapp.R
import com.codes_roots.imakeapp.databinding.AddAddressFragmentBinding
import com.codes_roots.imakeapp.databinding.EditAddressFragmentBinding
import com.codes_roots.imakeapp.presentaion.mainactivity.MainActivity

class Validation {
    fun checkAllFields(view: AddAddressFragmentBinding, context: Context): Boolean {
        context as MainActivity
        if (view.area.length() == 0) {
            view.area.error = context.getString(R.string.required);
            return false;
        }

//        if (view.streetName.length() == 0) {
//            view.streetName.error = context.getString(R.string.required);
//            return false;
//        }

        if (view.chooseArea.length() == 0) {
            view.chooseArea.error = context.getString(R.string.required);
            return false;
        }

        if (view.floor.length() == 0) {
            view.floor.error = context.getString(R.string.required);
            return false;
        }

        if (view.mobileNumber.length() == 0) {
            view.mobileNumber.error = context.getString(R.string.required);

            return false;
        }



        return true;
    }
}

class


EditAddressFragmentValidation {
    fun checkAllFields(view: EditAddressFragmentBinding, context: Context): Boolean {
        context as MainActivity
        if (view.area.length() == 0) {
            view.area.error = context.getString(R.string.required);
            return false;
        }

//        if (view.streetName.length() == 0) {
//            view.streetName.error = context.getString(R.string.required);
//            return false;
//        }

        if (view.chooseArea.length() == 0) {
            view.chooseArea.error = context.getString(R.string.required);
            return false;
        }

        if (view.floor.length() == 0) {
            view.floor.error = context.getString(R.string.required);
            return false;
        }

        if (view.mobileNumber.length() == 0) {
            return false;
        }

            var mobileError = validPhone(context, view)
        if (mobileError != null) {
            view.mobileNumber.error = mobileError
            Error_MotionToast("رقم الهاتف غير صحيح",context)

            return false;
        }




        return true;
    }
    private fun validPhone(context: Context, binding: EditAddressFragmentBinding): String? {
        val phoneText = binding.mobileNumber.text.toString()

        if (!phoneText.matches(".*[0-9].*".toRegex())) {
            return "Must be all Digits"
        }
        if ((phoneText.length != 11)) {
            return context.getString(R.string.validMobNum2)
        }

        if (!phoneText.startsWith("011")) {
            if (!phoneText.startsWith("010")) {

                if (!phoneText.startsWith("012")) {
                    if (!phoneText.startsWith("015")) {

                        return context.getString(R.string.validMobNum)
                    }
                }
            }

        }

        return null
    }

}
