package com.codes_roots.imakeapp.presentaion.about_vendor

import android.content.Context
import android.view.LayoutInflater
import android.view.ViewGroup
import androidx.databinding.DataBindingUtil
import androidx.recyclerview.widget.RecyclerView
import com.codes_roots.imakeapp.R
import com.codes_roots.imakeapp.databinding.CardsItemBinding
import com.satafood.core.entities.paymentways.PaymentWaysItem


class PaymentWayAdapter (
                        var context :Context?
                        ,var data:List<PaymentWaysItem>) : RecyclerView.Adapter<CustomViewHolders>() {
 var index: Int? = null
    override fun getItemCount(): Int {
        return  data.size
    }


    override fun onBindViewHolder(p0: CustomViewHolders, position: Int) {
        p0.bind(data[position])

         data[0].photo = R.drawable.visa
         data[1].photo =  R.drawable.cash_method


    }

    override fun onCreateViewHolder(p0: ViewGroup, p1: Int): CustomViewHolders {
        val  binding: CardsItemBinding = DataBindingUtil.inflate (LayoutInflater.from(p0.context),
          R.layout.cards_item,p0,false)


        return  CustomViewHolders(binding)
    }


}
class CustomViewHolders (
     var binding:CardsItemBinding
) : RecyclerView.ViewHolder(binding.root){

    fun bind(data:PaymentWaysItem) {
        binding.data= data
    }

}

