package com.codes_roots.imakeapp.presentaion.favouritefragment.mvi


sealed class MainIntent(open val viewState: MainViewState? = null,open val userId: Int? = null,open val restauratnId: Int? = null) {

    data class Initialize(override val viewState: MainViewState, override val userId: Int?) : MainIntent()
    data class AddFavorite(override  val viewState: MainViewState, override val restauratnId:Int?) : MainIntent()


    data class ErrorDisplayed(override val viewState: MainViewState) : MainIntent()

}
