package com.codes_roots.imakeapp.presentaion.homefragment

import android.annotation.SuppressLint
import android.content.Context
import android.view.LayoutInflater
import android.view.ViewGroup
import androidx.databinding.DataBindingUtil
import androidx.recyclerview.widget.DiffUtil
import androidx.recyclerview.widget.ListAdapter
import androidx.recyclerview.widget.RecyclerView
import com.codes_roots.imakeapp.R
import com.codes_roots.imakeapp.databinding.RestaurantFreeDeliveryAdapterBinding
import com.codes_roots.imakeapp.presentaion.ClickHandler
import com.codes_roots.imakeapp.presentaion.mainactivity.MainActivity
import com.satafood.core.mapper.homepage.FreeDeliveryDataUseCase


class FreeDeliveryResturant_Adapter : ListAdapter<FreeDeliveryDataUseCase, FreeDeliveryResturantViewHolder>(FreeDeliveryResturantDiffCallback()) {
    var context: Context? = null


    override fun onCreateViewHolder(p0: ViewGroup, p1: Int): FreeDeliveryResturantViewHolder {
        val binding: RestaurantFreeDeliveryAdapterBinding = DataBindingUtil.inflate(
            LayoutInflater.from(p0.context), R.layout.restaurant_free_delivery_adapter, p0, false
        )


        return FreeDeliveryResturantViewHolder(binding)
    }


    override fun onBindViewHolder(holder: FreeDeliveryResturantViewHolder, position: Int){
        holder.bind(context, currentList[position])
try {



}catch (e:Exception){

}

}}

class FreeDeliveryResturantDiffCallback : DiffUtil.ItemCallback<FreeDeliveryDataUseCase>() {

    override fun areItemsTheSame(oldItem: FreeDeliveryDataUseCase, newItem: FreeDeliveryDataUseCase) =
        oldItem.restaurantId == newItem.restaurantId

    @SuppressLint("DiffUtilEquals")
    override fun areContentsTheSame(oldItem: FreeDeliveryDataUseCase, newItem: FreeDeliveryDataUseCase) =
        oldItem == newItem
}

class FreeDeliveryResturantViewHolder(
    val binding: RestaurantFreeDeliveryAdapterBinding
) : RecyclerView.ViewHolder(binding.root) {


    fun bind(context: Context?, data: FreeDeliveryDataUseCase) {

        binding.listener = ClickHandler()
        binding.data = data
        binding.context = context as MainActivity?
    }


}
