package com.codes_roots.imakeapp.presentaion.homefragment.viewmodel

import com.satafood.core.entities.gallery.GalleryModel
import com.satafood.core.entities.homepage.sliders.SliderHomePageModelItem
import com.satafood.core.entities.myorders.MyOrderModelItem
import com.satafood.core.mapper.homepage.homeUseCase
import com.satafood.core.mapper.homepage.homepageUseCase

data class MainViewState(
    var categorydata: homepageUseCase?=null,
    var mainhomepagedata: homeUseCase?=null,
    var checkRatingData: MyOrderModelItem?=null,
    var sliderdata: ArrayList<SliderHomePageModelItem?>? =null,
    var galleryData: GalleryModel? =null,
    val progress:  Boolean? = null,
    var error:UserError?=null
)