package com.codes_roots.imakeapp.presentaion.notification.mvi


sealed class MainIntent(open val viewState: MainViewState? = null,open val  googleId: String?=null,open val  userId: Int?=null) {

    data class Initialize(override val viewState: MainViewState, override val googleId: String?,
                          override val userId: Int?) : MainIntent()


    data class ErrorDisplayed(override val viewState: MainViewState) : MainIntent()

}
