package com.codes_roots.imakeapp.presentaion.paymentfragment.mvi

import com.satafood.core.entities.google.GoogleModel


sealed class CheckoutIntents(
    open val viewState: CheckOutViewState? = null, open val googleModel: GoogleModel? = null
) {

    class LoadData(override val viewState: CheckOutViewState, override val googleModel: GoogleModel) : CheckoutIntents()

    class CheckWallet(override val viewState: CheckOutViewState, override val googleModel: GoogleModel) : CheckoutIntents()

    class DisplayErrors(override val viewState: CheckOutViewState) : CheckoutIntents()


}
