package com.sata.satafood.presentaion.wallet_details.mvi

import com.codes_roots.imakeapp.presentaion.wallet_details.mvi.MainViewState
import com.satafood.core.entities.walletdetails.WalletDetailsModelItem


sealed class MainIntent(open val viewState: MainViewState? = null, open val walletId:WalletDetailsModelItem? = null) {

    data class Initialize(override val viewState: MainViewState,
                          override val walletId: WalletDetailsModelItem) : MainIntent()

    data class ErrorDisplayed(override val viewState: MainViewState) : MainIntent()

}
