package com.codes_roots.imakeapp.repository.authenticate

import com.satafood.core.entities.login.ForgetPasswordModel
import com.satafood.core.entities.login.LoginModel
import com.satafood.core.entities.login.User
import retrofit2.Response


/**
Created by Prokash Sarkar on Tue, January 19, 2021
 **/


interface DataSource {
    @Throws(FailedToRequestException::class)

    suspend fun getLoginResponse(loginModel: User): Response<LoginModel>
//register

    suspend fun getRegisterResponse(registerModel: User): Response<LoginModel>

    suspend fun checkAgainVerifyEmail(registerModel: User): Response<LoginModel>
    suspend fun checkVerifyEmail(registerModel: LoginModel): Response<LoginModel>
    suspend fun forgetPasswordResponse(registerModel: ForgetPasswordModel): Response<ForgetPasswordModel>


    suspend fun facebookResponse(facebookModel : User): Response<LoginModel>
    suspend fun  activeUserAccount(userId: Int, loginModel: LoginModel): Response<LoginModel>
}