package com.codes_roots.imakeapp.repository.gallery


import com.codes_roots.imakeapp.datalayer.APIServices
import com.codes_roots.imakeapp.repository.google.GoogleDataSource
import com.satafood.core.entities.branches_locations.BranchesLocation
import com.satafood.core.entities.gallery.BranchesGalleryModelItem
import retrofit2.Response
import javax.inject.Inject
import javax.inject.Named

/**
Created by Prokash Sarkar on Tue, January 19, 2021
 **/

class GalleryRemoteDataSource @Inject constructor(
    @Named("provideRetrofit2")
    private val ApiService: APIServices)
    : GalleryDataSource {
   
    override suspend fun getBranchesGallery(): Response<ArrayList<BranchesGalleryModelItem>> {
        return  ApiService.getBranchesGallery()  
    }

  

}