package com.codes_roots.imakeapp.repository.google


import com.codes_roots.imakeapp.datalayer.APIServices
import com.satafood.core.entities.branches_locations.BranchesLocation
import retrofit2.Response
import javax.inject.Inject
import javax.inject.Named

/**
Created by Prokash Sarkar on Tue, January 19, 2021
 **/

class GoogleRemoteDataSource @Inject constructor(
    @Named("provideRetrofit2")
    private val ApiService: APIServices)
    : GoogleDataSource {


//    override suspend fun getPlaceID(streetName:String,key:String): Response<Google> {
//       return ApiService.getPlaceId("https://maps.googleapis.com/maps/api/place/textsearch/json",streetName,key)
//    }
//
//    override suspend fun getPlaceIdByGeoCode(latLng: String, language:String, key:String): Response<Google> {
//        if (key == "latlng") {
//            return ApiService.getPlaceIdByGeoCode("https://maps.googleapis.com/maps/api/geocode/json?",latLng,"AIzaSyB68CvCiySmB2ag_SW0u2hsKyqC6wT-3pI","administrative_area_level_3|postal_code")
//
//        }else {
//            return ApiService.getLocationByPlaceId("https://maps.googleapis.com/maps/api/geocode/json?",latLng,"AIzaSyB68CvCiySmB2ag_SW0u2hsKyqC6wT-3pI")
//
//        }
//    }



    override suspend fun getBranchesMap(): Response<BranchesLocation> {
        return  ApiService.getBranchesLocations()
    }

//    override suspend fun getBranchesByAreasForGoogleMaps(googleModel: GoogleModel): Response<BranchesModelListItem>
//    {
//        return  ApiService.getBranchesByAreasForGoogleMaps(googleModel)
//    }



}