package com.codes_roots.imakeapp.repository.points_user


import com.codes_roots.imakeapp.datalayer.APIServices
import com.satafood.core.entities.userpoints.CountPointsModel
import com.satafood.core.entities.userpoints.UserPointsModel
import retrofit2.Response
import javax.inject.Inject

/**
Created by Prokash Sarkar on Tue, January 19, 2021
 **/

class PointsRemoteDataSource @Inject constructor(
    private val ApiService: APIServices)
    : PointsDataSource {

    override suspend fun getUserPoints():UserPointsModel{
        return  ApiService.getUserPoints()
    }

    override suspend fun transferPoints(userPoints: CountPointsModel)  : Response<CountPointsModel> {
        return  ApiService.transferPoints(userPoints)
    }

}