package com.codes_roots.imakeapp.repository.wallet

import com.satafood.core.base.DataState

import com.satafood.core.entities.wallet.WalletCredit
import com.satafood.core.entities.wallet.WalletModel

interface IWalletDataSource {

    suspend fun getWalletList(): DataState<List<WalletModel>>

    suspend fun getUserCredit(): DataState<WalletCredit>

}