package com.codes_roots.imakeapp.di.component


import com.codes_roots.imakeapp.di.AppComponent
import com.codes_roots.imakeapp.helper.BaseApplication

/**
Created by Prokash Sarkar on Tue, January 19, 2021
 **/

class TestBaseApplication : BaseApplication() {

    override fun initializeDaggerComponent(): AppComponent {
        val component: TestAppComponent = DaggerTestAppComponent.factory()
            .create(this)
        component.inject(this)

        return component
    }

}