package com.satafood.core.entities.paymob

import com.google.gson.annotations.SerializedName

data class MakePaymentOrderIntegration (


        var auth_token: String? = null,
        var id: Long? = null,

        var delivery_needed: String? = null,

        var amount_cents: String? = null,
        var currency: String? = null,


var merchant_order_id: Long? = null,
        var items: ArrayList<ItemPayment>? = null,
        val shippingData: ShippingData? = null,
        val shippingDetails: ShippingDetails? = null
)

data class ItemPayment (
        val name: String? = null,
        var amountCents: String? = null,
        val description: String? = null,
        val quantity: String? = null
)

data class ShippingData (
        val apartment: String? = null,
        val email: String? = null,
        val floor: String? = null,
        val firstName: String? = null,
        val street: String? = null,
        val building: String? = null,
        val phoneNumber: String? = null,
        val postalCode: String? = null,
        val extraDescription: String? = null,
        val city: String? = null,
        val country: String? = null,
        val lastName: String? = null,
        val state: String? = null
)

data class ShippingDetails (
        val notes: String? = null,
        val numberOfPackages: Long? = null,
        val weight: Long? = null,
        val weightUnit: String? = null,
        val length: Long? = null,
        val width: Long? = null,
        val height: Long? = null,
        val contents: String? = null
)
