package com.satafood.core.entities.wallet

import java.io.Serializable


data class WalletModel(
    val area_id: Int?=null,
    val created: String?=null,
    val createdBy: CreatedBy?=null,
    val created_by: Int?=null,
    val end_date: String?=null,
    val id: Int?=null,
    val maximum: Double?=null,
    val message: String?=null,
    val minimum: Double?=null,
    val modified: String?=null,
    val percentage: Double?=null,
    val restaurant_id: Int?=null,
    val restaurant_selected: Int?=null,
    val start_date: String?=null,
    var totalTransactions: Double?=null,
    val user_id: Int?=null,
    val value: Double?=null,
    val newTotal: Float?=null,
    val wallet_code: String?=null,
    val wallet_kind_id: Int?=null,
    val wallet_type_id: Int?=null,
    val wallettype: Wallettype
): Serializable

data class WalletCredit(
    val TotalWallet: Double?=null,
)