package com.satafood.core.mapper.main

import com.satafood.core.base.DataState
import com.satafood.core.repositories.IFCMRepository

class SubscribeTopicUseCase(private val fcmRepository: IFCMRepository) {

    operator fun invoke(
        topics: String,
        onSubscribedListener: (DataState<Unit>) -> Unit
    ) =
        fcmRepository.subscribeTopic(topics, onSubscribedListener)


}